```
Each class contains a set of hardcoded fields used to create unique corresponding db record.

To create a record in a database we need to ensure all dependent ones are resolved as well. Let's consider we want to create `models.Contact` instance. It belongs to some project and must be unique within it, that's why this model has `Contact.project` field which holds `models.Project` instance. To retrieve last one from db we need to know its owner (since `models.Project` has an owner field by which we need to filter it) which is `models.UserAccount` instance. So ultimately, to create some record we need to resolve all dependent ones, in this case go from `models.UserAccount` to `models.Contact` through `models.Project` to create a contact record.

If you understood previous paragraph quite well, you can guess why we use double underscores in request body fields names. We need a way for user to describe how he wants to retrieve dependent records using human readable format. Given previous example with contact, we need to figure out a project record that is assigned to `models.Contact.project` field. There are two options:
    1) force user to pass id value to extract project from db with `Project.objects.get(id=id)`, but user don't know anything about project id. It is created automatically by django and we shouldn't care about it.
    2) use name or other human-readable fields to uniquely identify record. For e.g. each project has a name, but it's not unique like id. It only becomes unique for one user account having projects with different names. That's why we specify it as additional field to make a query `Project.objects.get(name="First Project", owner__email="test@tangibleai.com")`. Notice `owner__email` filter condition, django uses it to perform queries. We stick with this convention to not only take advantage of django built-in functionality, but also to improve readability and understanding the purpose of fields.
```
